Update Block APIs to list partial blocks
Closed, ResolvedPublic

Description

API:Blocks and API:Userinfo should be updated to list partial blocks from the database. When merged, we should update the APIs documentation.

dbarratt created this task.Jun 13 2018, 4:03 PM
dbarratt triaged this task as Normal priority.
dbarratt claimed this task.

Change 442222 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] List Partial Block details in ApiQueryBlocks.

https://gerrit.wikimedia.org/r/442222

Vvjjkkii renamed this task from Update Block APIs to list partial blocks to 62aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed dbarratt as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Scott renamed this task from 62aaaaaaaa to Update Block APIs to list partial blocks.Jul 1 2018, 5:45 PM
Scott lowered the priority of this task from High to Normal.
Scott assigned this task to dbarratt.
Scott updated the task description. (Show Details)
Scott added subscribers: Aklapper, gerritbot.
-jkb- removed a subscriber: -jkb-.Sep 12 2018, 6:32 AM

Change 442222 merged by jenkins-bot:
[mediawiki/core@master] List Partial Block details in ApiQueryBlocks and ApiQueryUserinfo.

https://gerrit.wikimedia.org/r/442222

dbarratt closed this task as Resolved.